Subject: Re: draft-so-pwe3-ethernet

From: "Cheng-Yin Lee" <[email-masked]>
Date: 30 Jul 2002 18:48:03 -0400

Stewart et al,

>  I am happy keeping the names to CE/PE, but putting a small
>   > explanatory note in the arch document clarifying this
>   > as a notation of convenience.
>   >
>

Just want to make sure I understand what we are agreeing to here e.g in
draft-so-pwe3-ethernet :
- all references to PE in the draft shall be replaced by  "PE/CE" ?
- Fig 1 shall be changed appropriately to device to device or PE/CE ?
etc ...

Mark also stated that the L2TP portion will be in a separate document and
will be described for device to device...

> I prefer "Device to Device" for pwe3 in general, with ppvpn or other WGs
>   focusing more on PE, CE, and such designations. L2TPEXT will certainly support a
>   "device to device" description.
>

I tend to agree with what Mark said above, I think it's cleaner .

thanks
cheng-yin
p.s sorry for the late response to this thread, I've been away from work.

Sasha Vainshtein wrote:

> Sounds really great!
>
> With best regards,
>                                    Sasha Vainshtein
> email:     [email-masked] <mailto:[email-masked]>
> tel:       +972-3-7659993 (office)
>            +972-8-9254948 (res.)
>            +972-58-674833 (cell.)
>
>
> > -----Original Message-----
> > From: Stewart Bryant [mailto:[email-masked]]
> > Sent: Tuesday, July 23, 2002 5:06 PM
> > To: Luca Martini
> > Cc: Mitsuru Higashiyama; Sasha Vainshtein; W. Mark Townsley;
> > Cheng-Yin Lee; [email-masked]; Alik Shimelmits; Akiva
> > Sadovski; Israel Sasson
> > Subject: Re: [PWE3] draft-so-pwe3-ethernet
> >
> >
> >
> > I am happy keeping the names to CE/PE, but putting a small
> > explanatory note in the arch document clarifying this
> > as a notation of convenience.
> >
> > Stewart
> >
> > Luca Martini wrote:
> > >
> > > Stewart,
> > >
> > > getting back to the original question. This PW is defined
> > between 2 devices.
> > > We just happen to call those devices PE. This is only the
> > latest fashion. We
> > > could go back and call them "router A" , and "router B",
> > this is, of course,
> > > out of fashion.
> > > I do not see a limitation in the current model. Almost any
> > function you can
> > > imagine can be handled by the NSP function layer.
> > >
> > > Luca
> > >
> > > Stewart Bryant wrote:
> > >
> > > >
> > > > Mitsuru Higashiyama wrote:
> > > >
> > > >  ... snipped ...
> > > >
> > > >
> > > >>>Ownership of the device that terminates the PW is not important.
> > > >>>The question is, how is its IP address assigned (if at all)?
> > > >>>The following cases (that seem all to be relevant
> > > >>>for the customer-managed device)look problematic to me:
> > > >>>a) The device is not assigned with any IP address at all
> > > >>>b) The device is assigned with a temporary IP address using DHCP
> > > >>>   running in the SP server
> > > >>>c) The device is assigned with a private IP address with a NAT
> > > >>>   middlebox between it and the SP network.
> > > >>>My assumption was that no such thing happens to a device that
> > > >>>is managed by the SP.
> > > >>>
> > > >>Sorry, I cannot understand what you point out.
> > > >>Why not the device is assigned with global IP address
> > which customer
> > > >>has ?
> > > >>
> > > >>The original L2TP model, LAC and LNC may locate at CE edge.
> > > >>
> > > >>Thanks,
> > > >>Mitsuru Higashiyama
> > > >>
> > > >>
> > > >
> > > > Quite. I was assuming static addresses when I made my original
> > > > comment. Operating this over NAT (if such a thing is ever needed)
> > > > is surely a problem for the NAT WG and not the PWE3 WG.
> > > >
> > > > Note that static is sufficient, the addresses do not need to be
> > > > global (ie the system could operate point to point inside an
> > > > enterprise).
> > > >
> > > > Stewart
> > > >
> > > > _______________________________________________
> > > > pwe3 mailing list
> > > > [email-masked]
> > > > https://www1.ietf.org/mailman/listinfo/pwe3
> > > >
> > > >
> > >
> > > _______________________________________________
> > > pwe3 mailing list
> > > [email-masked]
> > > https://www1.ietf.org/mailman/listinfo/pwe3
> >